INTERFACE
SUBROUTINE CALLPAR (CDCONF,&
 & KIDIA,KFDIA,KLON,KSMAX,KLEVS,KTILES,KSTGLO,&
 & KLEVXP,KFLDXP,KFLDXP2,&
 & KLEVX,KFLDX,KFLDX2,&
 & KTDIA,KLEV,KSTART,KSTEP,PDTPHY,KVCLIS,LDSLPHY,LDRAIN1D,&
 & KLEVI,KLEVO,KLEVSN,&
 & KDHVTLS,KDHFTLS,KDHVTSS,KDHFTSS,KDHVTTS,KDHFTTS,&
 & KDHVTIS,KDHFTIS,KDHVSSS,KDHFSSS,KDHVIIS,KDHFIIS,KDHVWLS,KDHFWLS,&
 & PAPHI, PAPRS, PAPHIF, PAPRSF, PDELP,&
 & PU , PV , PT , PQ , PO3 ,PL ,PI ,PA ,PGFL,&
 & PSNS,&
 & PASN , PRSN , PTSN,&
 & PTSA , PWL , PTL , PWSA,&
 & PTIA,&
 & PVERVEL, PRS1 , PCHAR,&
 & PUSTOKES, PVSTOKES,&
 & PRSF1, PGELAM, PGELAT,PCLON, PSLON, PALBF,&
 & PALUVP, PALUVD, PALNIP, PALNID,&
 & PAERDEP,PAERLTS,PAERSCC,&
 & PBCBF,PBCFF,PBCGF,POMBF,POMFF,POMGF,PSO2L,PSO2H,PSOGF,PVOLC,PVOLE,PSOA,&
 & PGFLFLX,&
 & PCVL, PCVH, PTVL, PTVH,&
 & PLAILC, PLAIHC,&
 & PSOTY, PSOALUVP, PSOALUVD, PSOALNIP, PSOALNID, PCI, PSST, PUCURR, PVCURR,&
 & PEMISF, PLSM,PLIT,&
 & PCO2O, PCO2B,PCO2A,PCO2F,PCH4,PCH4F,PSF6,&
 & PGZ0MCL, PMU0, PMU0M, PHSTD , PHSDFOR, PGAMMA , PTHETA, PSIG,&
 & PLZ0HCL, PGEMU, POROG, PKOZO,&
 & PSTOPHU,PSTOPHV,PSTOPHT,PSTOPHQ,&
 & PSTOPHCA,PCUCONVCA,PNLCONVCA,PCAPECONVCA,PGP2DSDT,&
 & PSTREAM, PTEMP, PTOTDISS, PTOTDISS_SMOOTH,&
 & PVORT, PVORTGRADX, PVORTGRADY,&
 & PFORCEU, PFORCEV, PFORCET, PFORCEQ,&
 & PPHTENQ, PPHTENT, PPHTENU, PPHTENV,&
 & PPHTENA, PPHTENO3,PPHTENGFL,&
 & PTENU, PTENV, PTENT, PTENQ, PTENO3, PTENL, PTENI, PTENA,&
 & PTENGFL,&
 & PEMTD, PTRSO, PEMTC, PTRSC, PTAUAER, PSRSWD, PSRSWDCS, PEDRO,&
 & PSRSWPAR,PSRSWUVB, PSRSWPARC, PSRSWTINC, PSRFDIR, PSRCDIR ,&
 & PNTOP, PNBAS, PACPR,&
 & PUSTRTI ,PVSTRTI ,PAHFSTI ,PEVAPTI ,PTSKTI,&
 & PZO ,PHO ,PHO_INV ,PDO ,POCDEPTH ,&
 & PADVT ,PADVS ,PTRI0 ,PTRI1 ,PSWDK_SAVE,&
 & PUOC ,PVOC ,PUSTRC ,PVSTRC ,&
 & PUO0 ,PVO0 ,PTO0 ,PSO0 ,&
 & PDIFCQ, PDIFCS, PDIFTQ, PDIFTS, PFCQNG, PFPLCL, PFPLCN, PFPLSL,&
 & PFPLSN, PFHPCL, PFHPCN, PFHPSL, PFHPSN, PFRSO, PFRSOC,&
 & PFRSOD, PUVDF , PPARF , PCAPE , PPARCF, PTINCF, PFDIR ,PCDIR ,&
 & PFRTH , PFRTHC, PFRTHD, PCBASE, P0DEGL, PVISIH,&
 & PSTRCU, PSTRCV, PSTRDU, PSTRDV, PSTRTU, PSTRTV, PTOFDU, PTOFDV,&
 & PDIFTI, PDIFTL, PFCCQN, PFCCQL, PFCSQN, PFCSQL, PFCQLNG,&
 & PFCQNNG,PNEB, PQICE, PQLI, PQSAT, PEXTRA, PEXTRADYN, PEXTR2,&
 & PALB, PEMIS, PAERODDF,&
 & PFTG12, PFWEV, PENES, PFWSB, PFWG12, PFWMLT, PGZ0M , PLZ0H,&
 & PFWROD, PFWRO1, PFTLHEV,PFTLHSB,&
 & PUCFL, PVCFL, PTCFL, PDCFL, PQCFL , PBLH , PISUND,&
 & PCCC, PLCC, PMCC, PHCC, PTCC,&
 & PU10N, PV10N, PUST, PU100, PV100,&
 & PDNDZN, PDNDZA, PZDCBOT, PZTLBOT, PZTLTOP,&
 & PVDIS, PVDISG, PUSTRG, PVSTRG,&
 & PSNSE1,&
 & PASNE1, PRSNE1, PTSNE1,&
 & PTSAE1, PWLE1, PTLE1, PWSAE1,&
 & PTIAE1,&
 & PSAVTEND, KTEND ,PGFLSLP,&
 & PI10FG, PILSPF,&
 & PDHTLS, PDHTSS, PDHTTS, PDHTIS, PDHSSS, PDHIIS,&
 & PDHWLS, PZTENT, PZTENQ,&
 & KTYPE, PINCSR, PINCSR0,&
 & YD_MWAVE_RAD, YD_SMOS_TB,&
 & PUOE1 ,PVOE1 ,PTOE1 ,PSOE1 ,PDIFM ,&
 & PDIFT ,PDIFS ,&
 & DPTENQ0    ,DPTENQ1   ,&		    
 & PEMTD2,PTRSO2,PEMTC2,PTRSC2)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NRADFR ,NSW ,NTSW ,&
 & NMODE ,NAER ,NUV , RCCNLND, RCCNSEA, LECSRAD, NCSRADF 
USE YOM_YGFL , ONLY : YGFL, YO3, YL, YI, YA, YR, YS, LFIRE, LCO2SFC,&
 & YAERO, NAERO, NACTAERO,YGRG, NGRG, YGRGTEND, NGRG_CPLO4, YGHG, NGHG, YTRAC , NTRAC,&
 & NERA40 , YERA40, YLRCH4, LGRGSFC, YNOGW, YAEROUT, YUVP 
USE YOMDPHY , ONLY : NVEXTR,NVEXTRDYN
USE YOECLDP , ONLY : NAERCLD, NCLV, NCLDQL, NCLDQR, NCLDQI, NCLDQS, NCLDQV
USE YOMMWAVE , ONLY : MWAVE_PHYS_TYPE, MWAVE_RAD_TYPE, LEMWAVE_ACTIVE, N_SATSENS
USE YOMSMOS , ONLY : SMOS_PHYS_TYPE, SMOS_TB_TYPE, LESMOS_ACTIVE
USE YOMSPSDT , ONLY : YGPSDT, LSPSDT
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVXP
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDXP
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDXP2
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX2
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIS
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVI
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVO
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVSN
INTEGER(KIND=JPIM),INTENT(IN) :: KDHVTLS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHFTLS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHVTSS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHFTSS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHVTTS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHFTTS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHVTIS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHFTIS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHVSSS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHFSSS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHVIIS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHFIIS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHVWLS
INTEGER(KIND=JPIM),INTENT(IN) :: KDHFWLS
INTEGER(KIND=JPIM),INTENT(IN) :: KTEND
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
REAL(KIND=JPRB) ,INTENT(IN) :: PDTPHY
LOGICAL ,INTENT(IN) :: LDSLPHY
LOGICAL ,INTENT(IN) :: LDRAIN1D
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(KLON,KLEV,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PASN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PWL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTIA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRS1(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCHAR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSF1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALUVP(KLON), PALUVD(KLON), PALNIP(KLON), PALNID(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAERDEP(KLON),PAERLTS(KLON),PAERSCC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBCBF(KLON), PBCFF(KLON), PBCGF(KLON), POMBF(KLON), POMFF(KLON), POMGF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSO2L(KLON), PSO2H(KLON), PSOGF(KLON), PVOLC(KLON), PVOLE(KLON), PSOA(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLFLX(KLON,NGRG+NTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PCVL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCVH(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTVL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTVH(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAILC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAIHC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOTY(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALUVP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALUVD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALNIP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALNID(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSST(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCURR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCURR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSTOKES(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSTOKES(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMISF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLIT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2O(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2B(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2A(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSF6(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0MCL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0M(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHSTD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHSDFOR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAMMA(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTHETA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSIG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLZ0HCL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PKOZO(KLON,KLEV,KVCLIS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHQ(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTOPHCA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCUCONVCA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNLCONVCA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCAPECONVCA(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGP2DSDT(KLON,YGPSDT%NG2D )
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOTDISS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOTDISS_SMOOTH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTREAM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTEMP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORTGRADX(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORTGRADY(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCET(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENGFL(KLON,KLEV,YGFL%NUMFLDS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENGFL(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTC(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSC(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAUAER(KLON,KLEV,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWDCS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEDRO(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWPAR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWUVB(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWPARC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRSWTINC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSRFDIR(KLON) ,PSRCDIR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNTOP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNBAS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PACPR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAHFSTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVAPTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSKTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOC(KLON,0:1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOD(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUVDF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPARF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCAPE(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPARCF(KLON), PTINCF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFDIR(KLON) , PCDIR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHC(KLON,0:1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHD(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOFDU(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOFDV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCCQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQLNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQNNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQICE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEXTRA(KLON,KLEVX,KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTRADYN(KLON,KLEVX,NVEXTRDYN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEXTR2(KLON,KFLDX2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTG12(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFWEV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENES(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFWSB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFWG12(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFWMLT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0M(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFWROD(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFWRO1(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFTLHEV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFTLHSB(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUCFL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVCFL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTCFL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDCFL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQCFL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBLH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PISUND(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCCC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLCC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMCC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHCC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCBASE(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: P0DEGL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVISIH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDIS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDISG(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUSTRG(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVSTRG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSNSE1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PASNE1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRSNE1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSNE1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSAE1(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWLE1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTLE1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWSAE1(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTIAE1(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSAVTEND(KLON,KLEV,KTEND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLSLP(KLON,KLEV,YGFL%NDIMSLP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PI10FG(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PILSPF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDHTLS(KLON,KTILES,KDHVTLS+KDHFTLS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDHTSS(KLON,KLEVSN,KDHVTSS+KDHFTSS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDHTTS(KLON,KLEVS,KDHVTTS+KDHFTTS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDHTIS(KLON,KLEVI,KDHVTIS+KDHFTIS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDHSSS(KLON,KLEVSN,KDHVSSS+KDHFSSS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDHIIS(KLON,KDHVIIS+KDHFIIS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDHWLS(KLON,KLEVS,KDHVWLS+KDHFWLS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZTENQ(KLON,KLEV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KTYPE(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PINCSR(KLON), PINCSR0(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERODDF(KLON,NACTAERO,7)
REAL(KIND=JPRB) ,INTENT(OUT) :: PU10N(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PV10N(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUST(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PU100(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PV100(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDNDZN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDNDZA(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZDCBOT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZTLBOT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZTLTOP(KLON)
TYPE (MWAVE_RAD_TYPE), INTENT (INOUT) :: YD_MWAVE_RAD (KLON, N_SATSENS)
TYPE (SMOS_TB_TYPE), INTENT (INOUT) :: YD_SMOS_TB (KLON)
REAL(KIND=JPRB), INTENT(INOUT) :: PZO(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PHO(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PHO_INV(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PDO(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(IN) :: POCDEPTH(KLON)
REAL(KIND=JPRB), INTENT(INOUT) :: PADVT(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PADVS(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PTRI0(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(INOUT) :: PTRI1(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(INOUT) :: PSWDK_SAVE(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(INOUT) :: PUO0(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PVO0(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PTO0(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PSO0(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PUOE1(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PVOE1(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PTOE1(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PSOE1(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PUOC(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PVOC(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(INOUT) :: PUSTRC(KLON)
REAL(KIND=JPRB), INTENT(INOUT) :: PVSTRC(KLON)
REAL(KIND=JPRB), INTENT(INOUT) :: PDIFM(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(INOUT) :: PDIFT(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(INOUT) :: PDIFS(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(OUT) :: DPTENQ0(KLON,KLEV,4), DPTENQ1(KLON, KLEV,4)
REAL(KIND=JPRB), INTENT(IN) :: PEMTD2(KLON,0:KLEV)
REAL(KIND=JPRB), INTENT(IN) :: PTRSO2(KLON,0:KLEV)
REAL(KIND=JPRB), INTENT(IN) :: PEMTC2(KLON,0:KLEV)
REAL(KIND=JPRB), INTENT(IN) :: PTRSC2(KLON,0:KLEV)
END SUBROUTINE CALLPAR
END INTERFACE
